FC90xx - PCI Cards for Ethernet

BECKHOFF Fieldbus Components

Documentation for

FC9001, FC9001-0010, FC9011, FC9002 and FC9004

PCI Cards for Ethernet

Version: 1.2
Date: 2009-01-19


Notes on the documentation

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards. It is essential that the following notes and explanations are followed when installing and commissioning these components.

Liability Conditions

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

The documentation has been prepared with care. The products described are, however, constantly under development. For that reason the documentation is not in every case checked for consistency with performance data, standards or other characteristics. None of the statements of this manual represents a guarantee (Garantie) in the meaning of § 443 BGB of the German Civil Code or a statement about the contractually expected fitness for a particular purpose in the meaning of § 434 par. 1 sentence 1 BGB. In the event that it contains technical or editorial errors, we retain the right to make alterations at any time and without warning. No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.

Copyright

© This documentation is copyrighted. Any reproduction or third party use of this publication, whether in whole or in part, without the written permission of Beckhoff Automation GmbH, is forbidden.


Safety Instructions

Safety Rules

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

State at Delivery

All the components are supplied in particular hardware and software configurations appropriate for the application. Modifications to hardware or software configurations other than those described in the documentation are not permitted, and nullify the liability of Beckhoff Automation GmbH.

Personnel Qualification

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.

Description of safety symbols

The following safety symbols are used in this operating manual. They are intended to alert the reader to the associated safety instructions.

Danger This symbol is intended to highlight risks for the life or health of personnel.

Warning This symbol is intended to highlight risks for equipment, materials or the environment.

Note This symbol indicates information that contributes to better understanding.


FC90xx - Documentation issue status

BECKHOFF FC90xx: Foreword

Documentation issue status

Version | Comment
1.2
  • FC9001-0010, FC9011 added
1.1
  • Driver substitution using the TwinCAT System Manager added
  • Description of activating the TwinCAT Ethernet Protocol updated
1.0 | first Release


FC90xx - Overview

BECKHOFF FC90xx: Product overview

FC90xx - Introduction

PCI Cards for Ethernet

Up to four Ethernet channels in one slot: The Ethernet PCI network cards from Beckhoff save space and costs. They can be used in office and automation networks and offer the following benefits:

  • compatible to EtherCAT and BECKHOFF RealTime Ethernet
  • Plug-and-Play-Interface
  • 10/100 MBaud resp. 10/100/1000 MBaud (FC9011)
  • Automatic baud rate setting according to IEEE 802.3u resp. iEEE 802.3ab (FC9011) for each channel
  • Full duplex operation
  • Maximum performance through hardware-integrated checksum creation and verification
  • The hardware side supports Quality of Service (QoS) through prioritized multiple queues


FC90xx - Technical data

Technical Data | FC9001 | FC9001-0010 | FC9011 | FC9002 | FC9004
Bus system | Ethernet (all Ethernet (IEEE 802.3) based protocols)
Number of Ethernet channels | 1 | 1 | 1 | 2 | 4
Ethernet-Interface | 10BASE-T / 100BASE-TX Ethernet |  | 10BASE-T / 100BASE-TX/ 1000BASE-TX Ethernet | 10BASE-T / 100BASE-TX Ethernet
Ethernet sockets | 1 x RJ45 |  |  | 2 x RJ45 | 4 x RJ45
Cable length | maximum 100 m up to Hub, Switch or end device
Baud rate | 10/100 Mbit/s, IEEE 802.3u auto-negotiation, full duplex at 10 or 100 Mbit/s |  | 10/100/1000 Mbit/s, IEEE 802.3ab auto-negotiation, full duplex at 10, 100 or 1000 Mbit/s | 10/100 Mbit/s, IEEE 802.3u auto-negotiation, full duplex at 10 or 100 Mbit/s, separate settings for each channel
Diagnose | 2 LEDs per channel: - link - activity
Interface to the PC | 32 Bit Plug-and-Play PCI-Interface
Standard driver | standard operating system drivers for Intel-compatible NIC |  |  | Standard driver for Intel 8255xER series or BECKHOFF driver for Windows 2000/XP (Drivers can be selected separately for each channel)
Real time driver | TwinCAT driver for real time Ethernet
Supply voltage (PCI-Bus) | 5 V
Current consumption (PCI-Bus, 5 V) | typ. 250 mA | typ. 200 mA | typ. 300 mA | typ. 800 mA | typ. 1200 mA
weight | ca. 45 g | ca. 45 g | ca. 45 g | ca. 75 g | ca. 95 g
Dimensions (B x H x T, without slot plate) | ca. 14 mm x 51 mm x 120 mm | ca. 18 mm x 45 mm x 120 mm |  | ca. 18 mm x 95 mm x 125 mm
Permissible ambient temperature range during operation | 0°C ... + 55°C
Permissible ambient temperature range during storage | -25°C ... + 85°C
Permissible relative humidity | 95%, no condensation
Vibration / shock resistance | according to EN 60068-2-6 / EN 60068-2-27, EN 60068-2-29
EMC resistance burst / ESD | according to EN 61000-6-2 / EN 61000-6-4
Installation position | variable
Approval | CE
Technical Data | FC9001 | FC9002 | FC9004
Bus system | Ethernet (all Ethernet (IEEE 802.3) based protocols)
Number of Ethernet channels | 1 | 2 | 4
Ethernet-Interface | 10BASE-T / 100BASE-TX Ethernet
Ethernet sockets | 1 x RJ45 | 2 x RJ45 | 4 x RJ45
Cable length | maximum 100 m up to Hub, Switch or end device
Baud rate | 10/100 Mbit/s, IEEE 802.3u auto-negotiation, full duplex at 10 or 100 Mbit/s, separate settings for each channel
Diagnose | 2 LEDs per channel: - link - activity
Interface to the PC | 32 Bit Plug-and-Play PCI-Interface
Standard driver | standard operating system drivers for Intel-compatible NIC | Standard driver for Intel 8255xER series or BECKHOFF driver for Windows 2000/XP (Drivers can be selected separately for each channel)
Real time driver | TwinCAT driver for real time Ethernet
Supply voltage (PCI-Bus) | 5 V
Current consumption (PCI-Bus, 5 V) | typically 250 mA | typically 800 mA | typically 1200 mA
weight | app. 45 g | app. 75 g | app. 95 g
Dimensions (B x H x T, without slot plate) | ca. 14mm x 51mm x 120mm | ca. 18mm x 95mm x 125mm
Permissible ambient temperature range during operation | 0°C ... + 55°C | 0°C ... + 55°C
Permissible ambient temperature range during storage | -25°C ... + 85°C | -25°C ... + 85°C
Permissible relative humidity | 95%, no condensation | 95%, no condensation
Vibration / shock resistance | according to EN 60068-2-6 / EN 60068-2-27, EN 60068-2-29
EMC resistance burst / ESD | according to EN 61000-6-2 / EN 61000-6-4
Installation position | variable
Approval | CE


Ethernet

Ethernet was originally developed by DEC, Intel and XEROX (as the "DIX" standard) for passing data between office devices. The term nowadays generally refers to the IEEE 802.3 CSMA/CD specification, published in 1985. Because of the high acceptance around the world this technology is available everywhere and is very economical. This means that it is easy to make connections to existing networks.

There are now a number of quite different transmission media: coaxial cable (10Base5), optical fiber (10BaseF) or twisted pairs (10BaseT) with screen (STP) or without screen (UTP). A variety of topologies such as ring, line or star can be constructed with Ethernet.

Ethernet transmits Ethernet packets from a sender to one or more receivers. This transmission takes place without acknowledgement, and without the repetition of lost packets. To achieve reliable data communication, there are protocols, such as TCP/IP, that can run on top of Ethernet.

Basic Principles

The Internet Protocol (IP)

The internet protocol (IP) forms the basis of this data communication. IP transports data packets from one device to another; the devices can be in the same network, or in different networks. IP here looks after the address management (finding and assigning MAC-IDs), segmentation and routing. Like the Ethernet protocol, IP does not guarantee that the data is transported - data packets can be lost, or their sequence can be changed.

TCP/IP was developed to provide standardized, reliable data exchange between any number of different networks. TCP/IP is thus substantially independent of the hardware or software being used. Although the term is often used as if it were a single concept, a number of protocols are layered together: e.g. IP, TCP, UDP, ARP and ICMP.

Transmission Control Protocol (TCP)

The Transmission Control Protocol (TCP) which runs on top of IP is a connection-oriented transport protocol. It includes error detection and error handling mechanisms. Lost telegrams are repeated.

User Datagram Protocol (UDP)

UDP is connectionless transport protocol. It provides no control mechanism when exchanging data between sender and receiver. This results in a higher processing speed than, for example, TCP. Checking whether or not the telegram has arrived must be carried out by the higher-level protocol.

Internet Control Message Protocol (ICMP)

It is used by end devices, to exchange information about the current status of the internet protocol.

Address Resolution Protocol (ARP)

Performs conversion between the IP addresses and MAC addresses.

BootP

The BootP protocol allows the TCP/IP address to be set or altered, by addressing the network device with its MAC-ID.


FC90xx - Installation in the PC

BECKHOFF FC90xx: Installation

Installation in the PC

Warning The Ethernet cards are supplied in ESD packaging. Follow the usual ESD guidelines for handling PC cards during installation!
  1. Before installing the Ethernet card, switch off the PC and any external power supplies, and separate the PC from the mains.
  2. Open the PC case.
  3. For a free PCI slot on the motherboard, remove the metal plate in the PC case.
  4. Insert the Ethernet card into the free PCI slot and fix it with the screw or device provided.
    Ensure that there is sufficient space between the Ethernet card and other PC components, so that the Ethernet card cannot come into contact with other plug-in cards or memory components etc.
  5. Close the PC case.
  6. Connect the Ethernet cables with the optical fibre connections of the Ethernet card:
  7. Connect the PC to the mains and switch it on.
  8. The Ethernet card will be detected as new hardware when the operating system starts up. Follow the assistant's instructions for installing the Ethernet card driver.
  9. If you wish to use the TwinCAT driver for real-time Ethernet and EtherCAT, you should now
    - install TwinCAT
    - install or modify the driver

The Ethernet card does not require an external power supply. It is supplied directly from the PC via the PCI bus. The power supply of the PC has to be adequate for meeting the power requirement of the Ethernet cards, particularly if several Ethernet cards are installed.


FC90xx - TwinCAT driver for Ethernet cards

BECKHOFF FC90xx: Installation

TwinCAT driver for Ethernet cards

Note Install the Beckhoff TwinCAT automation software before installing the Beckhoff Ethernet card.

Driver Overview

TwinCAT delivers two different drivers for Ethernet cards:

  • TwinCAT driver for real-time Ethernet
  • TwinCAT RT-Ethernet Intermediate Driver
TwinCAT driver for real-time Ethernet

The TwinCAT driver for real-time Ethernet works only for Ethernet cards with Intel chipset!

It supports hard real time for Beckhoff Real Time Ethernet and EtherCAT applications.

TwinCAT RT-Ethernet Intermediate Driver

The TwinCAT RT-Ethernet Intermediate Driver works also with other network cards that have no Intel chip set,

It is an evaluation driver for laboratory and test operation, to be able to test TwinCAT also with other network cards that have no Intel chip set.
It supports no hard real time and may cause jitter!

Further information about TwinCAT RT-Ethernet Intermediate Driver may be found in the TwinCAT Information System.

Installation of the TwinCAT driver for real-time Ethernet

There are three ways to install the TwinCAT driver for real-time Ethernet on your PC.

  • Driver installation using the Add New Hardware Wizard:
    This is the usual way to install hardware drivers.
  • Driver substitution via the TwinCAT System Manager:
    If your operating system installed its own driver for the Beckhoff Intel PCI/Ethernet card, you can substitute this driver by the TwinCAT driver for real-time Ethernet manually in order to be able to take advantage of its real-time capability.
  • Manual driver installation:
    If your operating system installed its own driver for the Beckhoff Intel PCI/Ethernet card, you can substitute the TwinCAT driver for real-time Ethernet manually in order to be able to take advantage of its real-time capability.


FC90xx - Driver installation using the Add New Hardware Wizard

BECKHOFF FC90xx: Installation

Driver installation using the Add New Hardware Wizard

Note Install the Beckhoff TwinCAT automation software before installing the Beckhoff Ethernet card.
Note All screen shots of this documentation are made under Windows 2000.
Under Windows XP, the TwinCAT driver is installed in the same way.

After installation of the Beckhoff Ethernet card, Windows 2000, for example, comes up with the following message during start-up:

Follow the instructions of the Add Hardware Wizard.

Allow the assistant to search for a suitable driver.

The TwinCAT driver for real-time Ethernet is included with the Beckhoff TwinCAT automation.

If you have installed the Beckhoff TwinCAT automation software before installing the Beckhoff Ethernet card, the Add New Hardware Wizard will find the TwinCAT driver for real-time Ethernet in the driver database on the hard disk of your PC.

Operation of the TwinCAT drivers for real-time Ethernet requires no digital signature from Microsoft.
Beckhoff has thoroughly tested this driver in conjunction with the supported hardware and has verified compatibility with Windows 2000 and XP.
Click Yes to continue with the rest of the installation.

The TwinCAT driver for real-time Ethernet was installed successfully for an Ethernet port. Exit the installation with Finish.

If you are using a multi-channel Beckhoff Ethernet card, repeat the driver installation procedure for each additional channel:

Now you have to activate the TwinCAT Ethernet Protocol.

Resources

Example for the resources of an FC900x under Windows 2000.
(Control Panel/System/Hardware/Device Manager/Network adapters/TwinCAT Intel PCI-Ethernet adapter/Resources):


FC90xx - Driver substitution using the TwinCAT System Manager

BECKHOFF FC90xx: Installation

Driver substitution using the TwinCAT System Manager

Note Install the Beckhoff TwinCAT automation software before installing the Beckhoff Ethernet card.
Note All screen shots of this documentation are made under Windows 2000.
Under Windows XP, the TwinCAT driver is installed in the same way.

Click t al the right bottom side of the Windows taskbar on the TwinCAT icon and start the TwinCAT System-Manger.

Click on Show Real Time Ethernet Compatible Devices in the Options menu.

Now the TwinCAT System Manager shows the real time capable (Compatible devices) and non real time capable (Incompatible devices) network cards.

Chose a real time capable network card and click on the Install button.

Now the TwinCAT System Manager installs the TwinCAT driver for real-time Ethernet and the TwinCAT Ethernet Protocol for the chosen device.

Operation of the TwinCAT drivers for real-time Ethernet requires no digital signature from Microsoft.
Beckhoff has thoroughly tested this driver in conjunction with the supported hardware and has verified compatibility with Windows 2000 and XP.
Click Yes to continue with the rest of the installation.

The TwinCAT driver for real-time Ethernet and the belonging TwinCAT Ethernet Protocol were installed.

Activate the Show Bindings Check-Box to display the bounded protocol.


FC90xx - Manual driver installation

BECKHOFF FC90xx: Installation

Manual driver installation

If your operating system installed its own driver for the Beckhoff Intel PCI/Ethernet card, you have to install the TwinCAT driver for real-time Ethernet manually in order to be able to take advantage of its real-time capability.

Note Install the Beckhoff TwinCAT automation software before manually installing the TwinCAT driver for real-time Ethernet.

After the Beckhoff TwinCAT automation software has been installed, you can manually install the TwinCAT driver for real-time Ethernet.

Note All screen shots of this documentation are made under Windows 2000.
Under Windows XP, the TwinCAT driver is installed in the same way.

Click on Network and Dial-up Connections under Start/Settings/Control Panel.

Click on an unused LAN connection (LAN connection 2).

The properties of LAN connection 2 are displayed.

Click on Configure.

Change to the Driver tab, click on Update Driver and follow the instructions of the Add New Hardware Wizard!

If you wish to select the associated driver yourself, select the option to display a list of all known drivers.

If the Beckhoff TwinCAT automation software is already installed, the Add New Hardware Wizard will offer the TwinCAT driver for real-time Ethernet.

Select the TwinCAT driver for real-time Ethernet.

Start installing the selected driver.

Operation of the TwinCAT drivers for real-time Ethernet requires no digital signature from Microsoft.
Beckhoff has thoroughly tested this driver in conjunction with the supported hardware and has verified compatibility with Windows 2000 and XP.
Click Yes to continue with the rest of the installation.

The TwinCAT driver for real-time Ethernet was installed successfully. Exit the installation with Finish.

Now you have to activate the TwinCAT Ethernet Protocol.

Resources

Example for the resources of an FC900x under Windows 2000.
(Control Panel/System/Hardware/Device Manager/Network adapters/TwinCAT Intel PCI-Ethernet adapter/Resources):


FC90xx - Activating the TwinCAT Ethernet protocol

BECKHOFF FC90xx: Installation

Activating the TwinCAT Ethernet protocol

In order to be able to make use of real-time capability, the TwinCAT Ethernet protocol has to be activated for the Beckhoff Intel PCI-Ethernet card.

Under Start/Settings/Control Panel/Network and Dial-up Connections click on the LAN connection for which you would like to activate the TwinCAT Ethernet protocol (in the example LAN connection 2).

Click on Install!

Select Protocol (not Service!) and click on Add!

Under Beckhoff select the option TwinCAT Ethernet Protocol and click OK.

Note If the Beckhoff TwinCAT Ethernet protocol is not available for selection despite the fact that TwinCAT and the TwinCAT driver for real-time Ethernet have been installed, click on Data carrier, then Search, and select the file TcEther.inf in folder C:\Windows\inf.
If the folder C:\Windows\inf is not displayed, activate the following options in Windows Explorer under Tools/Folder Options/View:
- Show content of system folders
- Hidden files and folders - Show all files and folders

Attention

For controlling real applications choose necessarily the TwinCAT Ethernet Protocol, not the TwinCAT Ethernet Protocol for all Network Adapters!

The TwinCAT Ethernet Protocol for all Network Adapters just an evaluation protocol to test TwinCAT also with other network adapters that have no Intel chip set. It supports no hard real time and may cause jitter!

The TwinCAT Ethernet protocol should now be displayed in the list of components.

The TwinCAT Ethernet Protocol can be started by issuing can the command net start TcEther in a DOS Command Prompt or by restarting the PC. The TwinCAT Ethernet Protocol will be started whenever the PC is restarted.


FC90xx - Searching for devices

BECKHOFF FC90xx: Adding Components

Searching for devices

  1. Switch TwinCAT to configuration mode.
  2. Start the TwinCAT System Manager.
  3. Using the right mouse button, start searching for new devices under the branch I/O Configuration \I/O devices or via the magic wand button in the button bar.

The system manager will search for I/O devices (e.g. fieldbus cards) installed on the PC.

In the example shown, the FC9004 channels for which
- the TwinCAT driver for real-time Ethernet is installed and
- the TwinCAT Ethernet protocol is activated
are displayed as Device 1 and Device 2.

The system manager will now search the FC9004 channels for boxes (Bus Couplers, Bus Terminal controllers or Fieldbus Box modules).

The system manager now wants to activate Free Run mode. Click on Yes.

The system manager will now display the configuration it found:


FC90xx - Configuration via TwinCAT System Manager

BECKHOFF FC90xx: Configuration

Configuration via TwinCAT System Manager

In the left-hand window of the TwinCAT system manager, click on the Ethernet channel you wish to configure (in the example: device 2 (RT Ethernet)).

In the right-window of the TwinCAT system manager, various tabs, i.e.
- General
- Adapter
- EtherCAT
- Statistics
- Diagnostics
are now available for configuring this Ethernet channel.

Note The system manager numbers the Ethernet channels (device 1, device 2 ...) in the order in which it recognizes them as ready for real-time Ethernet. This numbering does not have to correspond to the numbering of the LAN connections in the network connections of the Windows Control Panel or the numbering of the RJ45 sockets on the FC900x (X1, X2 ...).

The channels of an FC9002/FC9004 can be identified via their unique MAC addresses.


FC90xx - General tab

BECKHOFF FC90xx: Configuration

General tab

Name

The name Device 2 (RT Ethernet) was allocated by the system manager. You may change it.

Type

Device type

Comment

Here you can save a free comment text.

Disabled

This control box can be used to disable the Ethernet channel.

Create Symbols

If this control box is activated, the variables can also be accessed via names, although this takes up more memory.


FC90xx - Adapter tab

BECKHOFF FC90xx: Configuration

Adapter tab

Description

Shows the number of the LAN connection and the desktop adapter of the Ethernet channel used.

Device name

Shows the Windows device name of the Ethernet channel used.

MAC address

shows the unique MAC address of the Ethernet channel used.

IP address

Shows the IP address of the Ethernet channel used.

Free Run cycle

Here you can specify the cycle time for Free Run mode.

Locking I/O after link error

If this control box is activated, process data exchange is not automatically restarted after a link error has been rectified (e.g. after pulling and reconnecting the network cable). Instead, an I/O reset is required first.

Promiscuous Mode (use with Netmon only)

If this control box is activated, the TwinCAT Ethernet telegrams are also transferred to Windows and can therefore be analyzed with a network monitor (e.g. Etherreal or MS network monitor).

Verbose Mode (for testing only)

In development.

No Jitter Mode (for testing only)

In development.

Compatible Devices

Click on Compatible Devices for displaying the TwinCAT-compatible Ethernet devices found on your PC.

TwinCAT Ethernet protocol installed

This control box indicates whether the TwinCAT protocol driver is already installed.

Installed usable devices

For the fieldbus cards/fieldbus card channels displayed here,
- the TwinCAT driver for real-time Ethernet is installed and
- the TwinCAT Ethernet protocol is activated

These devices are ready for real-time Ethernet operation.

Installed devices without required binding to TwinCAT Ethernet

For the fieldbus cards/fieldbus card channels displayed here,
- the TwinCAT driver for real-time Ethernet is installed
- but the TwinCAT Ethernet protocol has not yet been activated

Activate the TwinCAT Ethernet protocol, in order to make these devices ready for real-time Ethernet operation.

Compatible devices with incompatible driver

For the fieldbus cards/fieldbus card channels displayed here,
- the TwinCAT driver for real-time Ethernet is not installed
- and the TwinCAT Ethernet protocol has not yet been activated

Install the TwinCAT driver for real-time Ethernet and activate the TwinCAT Ethernet protocol, in order to make these devices ready for real-time Ethernet operation.

Warning The advantage that TwinCAT real-time Ethernet uses standard hardware comes with a small disadvantage: Windows knows this standard hardware, but during a Windows Update or during installation of a Service Packs it will try and install the latest drivers that it considers to be the "best" drivers for this hardware, which means that it may overwrite the TwinCAT driver for real-time Ethernet.

Remedy:
Automatic Windows Updates can be disabled. For manual updates, the suggestion to replace the Intel Networking Driver should not be accepted.
After the installation of a Service Pack, the TwinCAT driver for real-time Ethernet should be re-installed and the TwinCAT Ethernet protocol should be reactivated.

Readiness for operation of TwinCAT real-time Ethernet can be checked via the TwinCAT Ethernet compatible devices screen.


FC90xx - EtherCAT tab

BECKHOFF FC90xx: Configuration

EtherCAT tab

Net ID

Shows the AMS Net ID.

Start up to

This options field can be used to specify which EtherCAT system state should be activated when the device is switched on:
INIT: Initiate
PRE-OP: Pre Operation
SAFE-OP: Safe Operation
OP: Operation

Export Configuration File

This button can be used to save the configuration information in an XML file for access from another master system, for example.

Virtual Ethernet Switch

In development.

Display window

Shows the structure of the EtherCAT frames with the commands that were called up.


FC90xx - Statistics tab

BECKHOFF FC90xx: Configuration

Statistics tab

Sent Frames

Shows the number of EtherCAT frames sent and the number of frames sent per second.

Recv Frames

Shows the number of EtherCAT frames received and the number of frames received per second.

Missed Frames

Shows the number of lost EtherCAT frames.

Tc Mode

Shows TwinCAT mode.


FC90xx - Diagnostics tab

BECKHOFF FC90xx: Configuration

Diagnostics tab

State

INIT: Initiate
PRE-OP: Pre Operation
SAFE-OP: Safe Operation
OP: Operation

CRC A

Cyclic Redundancy Check at the incoming EtherCAT connection.

CRC B

Cyclic Redundancy Check at the outgoing EtherCAT connection.

CRC C

Cyclic Redundancy Check at the branch EtherCAT connection (if present).


Support and Service

Beckhoff and their partners around the world offer comprehensive support and service, making available fast and competent assistance with all questions related to Beckhoff products and system solutions.

Beckhoff's branch offices and representatives

Please contact your Beckhoff branch office or representative for local support and service on Beckhoff products!

The addresses of Beckhoff's branch offices and representatives round the world can be found on her internet pages:
http://www.beckhoff.com

You will also find further documentation for Beckhoff components there.

Beckhoff Headquarters

Beckhoff Automation GmbH

Eiserstr. 5
33415 Verl
Germany

Phone: | +49(0)5246/963-0
Fax: | +49(0)5246/963-198
e-mail: | info@beckhoff.com
Beckhoff Support

Support offers you comprehensive technical assistance, helping you not only with the application of individual Beckhoff products, but also with other, wide-ranging services:

  • support
  • design, programming and commissioning of complex automation systems
  • and extensive training program for Beckhoff system components
Hotline: | +49(0)5246/963-157
Fax: | +49(0)5246/963-9157
e-mail: | support@beckhoff.com
Beckhoff Service

The Beckhoff Service Center supports you in all matters of after-sales service:

  • on-site service
  • repair service
  • spare parts service
  • hotline service
Hotline: | +49(0)5246/963-460
Fax: | +49(0)5246/963-479
e-mail: | service@beckhoff.com